Tryton - Issues

 

Issue8205

Title Unable to unset date fields
Priority bug Status resolved
Superseder Nosy List ced, reviewbot, roundup-bot, yangoon
Type behavior Components tryton
Assigned To ced Keywords review
Reviews 281181002, 267211002
View: 281181002, 267211002

Created on 2019-03-19.12:36:59 by yangoon, last changed by roundup-bot.

Messages
New changeset 839fbcdbc4f7 by Cédric Krier in branch '5.0':
Force to parse datetime entries before getting value
https://hg.tryton.org/tryton/rev/839fbcdbc4f7

New changeset 4217bba11b7f by Cédric Krier in branch '5.0':
Add parse method to DateTime widget
https://hg.tryton.org/tryton/rev/4217bba11b7f

New changeset 65c6d70e6874 by Cédric Krier in branch '4.8':
Force to parse datetime entries before getting value
https://hg.tryton.org/tryton/rev/65c6d70e6874

New changeset ca7dcf423c89 by Cédric Krier in branch '4.8':
Add parse method to DateTime widget
https://hg.tryton.org/tryton/rev/ca7dcf423c89

New changeset 68c668ee2277 by Cédric Krier in branch '4.6':
Force to parse datetime entries before getting value
https://hg.tryton.org/tryton/rev/68c668ee2277

New changeset b80b7577c6b7 by Cédric Krier in branch '4.6':
Add parse method to DateTime widget
https://hg.tryton.org/tryton/rev/b80b7577c6b7

New changeset 02a19be2475f by Cédric Krier in branch '4.4':
Force to parse datetime entries before getting value
https://hg.tryton.org/tryton/rev/02a19be2475f

New changeset 5fa2e883ba0e by Cédric Krier in branch '4.4':
Add parse method to DateTime widget
https://hg.tryton.org/tryton/rev/5fa2e883ba0e
New changeset 9ea9077910cb by Cédric Krier in branch 'default':
Add parse method to DateTime widget
https://hg.tryton.org/tryton-env/rev/9ea9077910cb
New changeset e21bf57b17b3 by Cédric Krier in branch 'default':
Add parse method to DateTime widget
https://hg.tryton.org/tryton/rev/e21bf57b17b3
New review267211002 at https://codereview.tryton.org/267211002/#ps271271002
New changeset c8177d11a196 by Cédric Krier in branch 'default':
Force to parse datetime entries before getting value
https://hg.tryton.org/tryton-env/rev/c8177d11a196
New changeset 7e60b661c09f by Cédric Krier in branch 'default':
Force to parse datetime entries before getting value
https://hg.tryton.org/tryton/rev/7e60b661c09f
review281181002 updated at https://codereview.tryton.org/281181002/#ps265131002
msg47736 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-03-20.23:17:54
Here is review281181002 which should fix it.
msg47735 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-03-20.23:15:26
Indeed it is only when the date entry is cleared and trigger save without changing the focus.
msg47716 (view) Author: [hidden] (yangoon) (Tryton translator) Date: 2019-03-19.12:36:58
tryton 5.0 verified on the demo server on e.g. Employee/Start Date, sao works:

As soon as a date is set, it is impossible to unset the date. It is always reset to the previous value when saving.
History
Date User Action Args
2019-05-04 11:15:16roundup-botsetmessages: + msg49609
2019-04-23 09:12:19roundup-botsetmessages: + msg49156
2019-04-23 09:12:17roundup-botsetmessages: + msg49154
2019-04-13 19:00:53cedsetstatus: chatting -> resolved
2019-04-10 19:16:18reviewbotsetstatus: resolved -> chatting
messages: + msg48806
2019-04-10 19:16:17reviewbotsetreviews: 281181002 -> 281181002, 267211002
2019-03-27 00:41:37roundup-botsetmessages: + msg48053
2019-03-27 00:41:35roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg48052
2019-03-20 23:48:42reviewbotsetnosy: + reviewbot
messages: + msg47737
2019-03-20 23:17:54cedsetstatus: in-progress -> testing
reviews: 281181002
messages: + msg47736
keyword: + review

Showing 10 items. Show all history (warning: this could be VERY long)